NixOS deployments using [nixus](https://github.com/Infinisil/nixus).

TL;DR:
1. `make update`
2. `make result`
3. `make deploy`

First make sure you have `niv` so you can upgrade dependency versions in `sources.json`.
```sh
$ nix-shell -p niv
$ (cd config/sources && niv update)
```
Build with:
```sh
$ nix-build deploy/
```
Deploy by running the generated executable.
```sh
$ ./result
```
