{ ... }:

{
  services.forgejo = {
    enable = true;
    user = "gitea";
    group = "gitea";
    stateDir = "/var/lib/gitea";
    database = {
      type = "postgres";
      name = "gitea";
      user = "gitea";
    };
    settings = {
      DEFAULT.APP_NAME = "Graven Gitea";
      service.DISABLE_REGISTRATION = true;
      session.COOKIE_SECURE = true;
      server.DOMAIN = "git.graven.dev";
      server.ROOT_URL = "https://git.graven.dev";
      server.PROTOCOL = "http+unix";
      ui.DEFAULT_THEME = "arc-green";
    };
  };

  users.users.gitea = {
    home = "/var/lib/gitea";
    useDefaultShell = true;
    group = "gitea";
    isSystemUser = true;
  };

  users.groups.gitea = {};
}
